For the complete documentation index, see llms.txt. This page is also available as Markdown.

Files

List of public endpoints for managing files on Seliom

Seliom provides you with a file repository to store all files in your organization. You can upload files to your repository with our public API.

Upload File

POST https://api.seliom.com/upload

This endpoint uploads a file to your organization's repository and returns its File ID.

Request Body

Name
Type
Description

name

string

Name of the file you are uploading.

file

object

File object with the keys data and type. Currently only the type Buffer is supported. Therefore, data should be a byte buffer.

{
   "fileId": "a27fudi8-e830-47c9-8e28-60448937d0e2/1616008578647_file.pdf"
}
{
   "message": "An error occured uploading your file. Please make sure you are sending the required parameters and try again."
}

Last updated